[Home] [Mission Statement] [Development Process] [Contribute] [Download] [Installation] [CVS] [Mailing Lists] [FAQ] [Formats] [News ] [ChangeLog] [Report Bugs] [Utilities] [Programming] [Books] [Links] |
Search GraphicsMagick site

gm identify

NAME

| identify - describe an image or image sequence.

Contents

Synopsis
Description
Options
Authors
Copyright

Synopsis

| identify file [ file ... ]

Description

Identify describes the format and characteristics of one or more image files. It will also report if an image is incomplete or corrupt. The information displayed includes the scene number, the file name, the width and height of the image, whether the image is colormapped or not, the number of colors in the image, the number of bytes in the image, the format of the image (JPEG, PNM, etc.), and finally the number of seconds it took to read and process the image. An example line output from identify follows:

        images/aquarium.miff 640x480 PseudoClass 256c
               308135b MIFF 1s

If `-verbose` is set, expect additional output including any image comment:

        Image: images/aquarium.miff
        class: PseudoClass
        colors: 256
        signature: eb5dca81dd93ae7e6ffae99a527eb5dca8...
        matte: False
        geometry: 640x480
           depth: 8
        bytes: 308135
        format: MIFF
        comments:
        Imported from MTV raster image: aquarium.mtv

For some formats, additional format-specific information about the file will be written if the `-debug coder` or `-debug all` option is used.

Back to Contents

Options

Identify options

Options are processed in command line order. Any option you specify on the command line remains in effect for the set of images immediately following, until the set is terminated by the appearance of any option or -noop.

For a more detailed description of each option, see Options, above. GraphicsMagick(1).

| -authenticate <string>

| decrypt image with this password

| -cache <threshold>

| (This option has been replaced by the -limit option)

| -debug <events>

| enable debug printout

| -define <key>{=<value>},...

| add coder/decoder specific options

| -density <width>x<height>

| horizontal and vertical resolution in pixels of the image

| -depth <value>

| depth of the image

| -format <string>

| output formatted image characteristics

| -help

| print usage instructions

| -interlace <type>

| the type of interlacing scheme

| -limit <type> <value>

| Disk, File, Map, or Memory resource limit

| -log <string>

| Specify format for debug log

| -ping

| efficiently determine image characteristics

| -sampling-factor <horizontal_factor>x<vertical_factor>

| sampling factors used by JPEG or MPEG-2 encoder and YUV decoder/encoder.

| -size <width>x<height>{+offset}

| width and height of the image

| -verbose

| print detailed information about the image

| -version

| print GraphicsMagick version string

For a more detailed description of each option, see Options, above. GraphicsMagick(1).

Back to Contents

Authors

| John Cristy, Bob Friesenhahn, Glenn Randers-Pehrson, William Radcliff, Leonard Rosenthol.

Back to Contents

Copyright

Copyright (C) 2002, 2003 GraphicsMagick Group, an organization dedicated to making software imaging solutions freely available.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files ("GraphicsMagick"), to deal in GraphicsMagick without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of GraphicsMagick, and to permit persons to whom GraphicsMagick is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of GraphicsMagick.

The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall GraphicsMagick Group be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with GraphicsMagick or the use or other dealings in GraphicsMagick.

Except as contained in this notice, the name of the GraphicsMagick Group shall not be used in advertising or otherwise to promote the sale, use or other dealings in GraphicsMagick without prior written authorization from the GraphicsMagick Group.

Additional copyrights and licenses apply to this software. You should have received a copy of Copyright.txt with this package, which describes additional copyrights and licenses which apply to this software; otherwise see http://www.graphicsmagick.org/www/Copyright.html.

Back to Contents

[Home] [Utilities Index]

Copyright © GraphicsMagick Group 2002, 2003